Lucene search

K
amazonAmazonALAS2-2018-952
HistoryFeb 07, 2018 - 6:40 p.m.

Important: libvirt

2018-02-0718:40:00
alas.aws.amazon.com
30

CVSS2

1.9

Attack Vector

LOCAL

Attack Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

NONE

Availability Impact

NONE

AV:L/AC:M/Au:N/C:P/I:N/A:N

CVSS3

5.6

Attack Vector

LOCAL

Attack Complexity

HIGH

Privileges Required

LOW

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

AI Score

6.2

Confidence

High

EPSS

0.975

Percentile

100.0%

Issue Overview:

An industry-wide issue was found in the way many modern microprocessor designs have implemented speculative execution of instructions (a commonly used performance optimization). There are three primary variants of the issue which differ in the way the speculative execution can be exploited. Variant CVE-2017-5715 triggers the speculative execution by utilizing branch target injection. It relies on the presence of a precisely-defined instruction sequence in the privileged code as well as the fact that memory accesses may cause allocation into the microprocessor’s data cache even for speculatively executed instructions that never actually commit (retire). As a result, an unprivileged attacker could use this flaw to cross the syscall and guest/host boundaries and read privileged memory by conducting targeted cache side-channel attacks. (CVE-2017-5715)

Affected Packages:

libvirt

Note:

This advisory is applicable to Amazon Linux 2 (AL2) Core repository. Visit this FAQ section for the difference between AL2 Core and AL2 Extras advisories.

Issue Correction:
Run yum update libvirt to update your system.

New Packages:

src:  
    libvirt-3.2.0-14.amzn2.7.src  
  
x86_64:  
    libvirt-3.2.0-14.amzn2.7.x86_64  
    libvirt-docs-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-config-network-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-config-nwfilter-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-network-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-nwfilter-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-nodedev-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-interface-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-secret-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-core-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-logical-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-disk-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-scsi-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-iscsi-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-mpath-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-gluster-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-rbd-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-storage-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-qemu-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-driver-lxc-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-kvm-3.2.0-14.amzn2.7.x86_64  
    libvirt-daemon-lxc-3.2.0-14.amzn2.7.x86_64  
    libvirt-client-3.2.0-14.amzn2.7.x86_64  
    libvirt-libs-3.2.0-14.amzn2.7.x86_64  
    libvirt-admin-3.2.0-14.amzn2.7.x86_64  
    libvirt-login-shell-3.2.0-14.amzn2.7.x86_64  
    libvirt-devel-3.2.0-14.amzn2.7.x86_64  
    libvirt-lock-sanlock-3.2.0-14.amzn2.7.x86_64  
    libvirt-nss-3.2.0-14.amzn2.7.x86_64  
    libvirt-debuginfo-3.2.0-14.amzn2.7.x86_64  

Additional References

Red Hat: CVE-2017-5715

Mitre: CVE-2017-5715

CVSS2

1.9

Attack Vector

LOCAL

Attack Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

NONE

Availability Impact

NONE

AV:L/AC:M/Au:N/C:P/I:N/A:N

CVSS3

5.6

Attack Vector

LOCAL

Attack Complexity

HIGH

Privileges Required

LOW

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

AI Score

6.2

Confidence

High

EPSS

0.975

Percentile

100.0%